Last modified: 15 April 2009
Name: H5Pset_fapl_mpiposix
Signature:
  herr_t `H5Pset_fapl_mpiposix`( hid_t `fapl_id`, MPI_Comm `comm`, hbool_t `use_gpfs_hints` )

Purpose:
  Stores MPI IO communicator information to a file access property list.

Description:
  `H5Pset_fapl_mpiposix` stores the user-supplied MPI IO parameter `comm`, for communicator, in the file access property list `fapl_id`. That property list can then be used to create and/or open the file.

  `H5Pset_fapl_mpiposix` is available only in the parallel HDF5 library and is not a collective function.

  `comm` is the MPI communicator to be used for file open, as defined in `MPI_FILE_OPEN` of MPI-2. This function does not create a duplicated communicator. Modifications to `comm` after this function call returns may have an undetermined effect on the file access property list. Users should not modify the communicator while it is defined in a property list.

  `use_gpfs_hints` specifies whether to attempt to use GPFS hints when accessing this file. A value of `TRUE` (or `1`) indicates that the hints should be used, if possible. A value of `FALSE` (or `0`) indicates that the hints should not be used.

  Available GPFS hints are known to the HFD5 Library and are not user configurable. They may be used only with GPFS file systems and may improve file access for some applications; the user of a GPFS system is encouraged to experiment by running an application with and without this parameter set.

Note:
  Raw dataset chunk caching is not currently supported when using this file driver in read/write mode. All calls to `H5Dread` and `H5Dwrite` will access the disk directly, and `H5Pset_cache` and `H5Pset_chunk_cache` will have no effect on performance.

  Raw dataset chunk caching is supported when this driver is used in read-only mode.

Parameters:

  hid_t `fapl_id` | IN: File access property list identifier.
  MPI_Comm `comm` | IN: MPI-2 communicator.
  hbool_t `use_gpfs_hints` | IN: Use of GPFS hints.

Returns:
  Returns a non-negative value if successful. Otherwise returns a negative value.

Fortran90 Interface: h5pset_fapl_mpiposix_f

      SUBROUTINE h5pset_fapl_mpiposix_f(prp_id, comm, use_gpfs, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id  ! Property list identifier
        INTEGER, INTENT(IN) :: comm           ! MPI communicator to be used
                                              ! for file open as defined in
                                              ! MPI_FILE_OPEN of MPI-2
        LOGICAL, INTENT(IN) :: use_gpfs
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
      END SUBROUTINE h5pset_fapl_mpiposix_f

History:

Release | Change
1.6.1 | Fortran subroutine introduced in this release.
1.6.0 | `use_gpfs_hints` parameter added.
1.6.0 | C function introduced in this release.